Skip to content
Navigation

FAA delay status, ground stops, and disruptions

Returns FAA ground stops, ground delay programs, arrival and departure delays, and weather impact. Returns status normal and an empty delays array when the FAA feed has no entry for the airport.

Access: Free with agent or developer key.

GET
https://flightqueue.com/api/v1/airports/{iata}/delays

Authorization

  • BearerAuth
    optional
    HTTP
  • ApiKeyAuth
    optional
    API key in header

Path parameters

  • iata
    string
    required

    Three-letter IATA airport code.

    pattern: ^[A-Za-z]{3}$

Returns

200

Success

JSON
  • success
    boolean
    required
  • data
    required

    Any of the following:

    • object
      • airportCode
        string
        required

        Three-letter IATA airport code, upper case.

        pattern: ^[A-Z]{3}$
      • status
        string
        required
      • delays
        array of
        unknown
        required

        Always an empty array when no FAA feed exists for the airport.

      • updatedAt
        string
        required

        ISO 8601 timestamp in UTC.

        format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
    • object
      • airportCode
        string
        required

        Three-letter IATA airport code, upper case.

        pattern: ^[A-Z]{3}$
      • status
        normal
        or
        delayed
        required
      • delays
        required

        Delay details when delays are active, otherwise null.

        Any of the following:

        • object
          • hasActiveDelays
            boolean
            required
          • severity
            critical
            or
            high
            or
            medium
            or
            low
            required
          • groundStop
            boolean
            required
          • groundDelayProgram
            required

            Any of the following:

            • object
              • active
                boolean
                required
              • averageDelay
                number
                required
              • reason
                string
                required
              • endTime
                optional
                string
            • null
          • arrivalDelays
            required

            Any of the following:

            • object
              • min
                number
                required
              • max
                number
                required
              • trend
                increasing
                or
                decreasing
                or
                stable
                required
            • null
          • departureDelays
            required

            Any of the following:

            • object
              • min
                number
                required
              • max
                number
                required
              • trend
                increasing
                or
                decreasing
                or
                stable
                required
            • null
          • closures
            array of
            string
            required
          • weatherImpact
            none
            or
            low
            or
            moderate
            or
            high
            required
          • reason
            optional
            string
        • null
      • weather
        required

        Any of the following:

        • string
          none
          or
          low
          or
          moderate
          or
          high
        • null
      • updatedAt
        string
        required

        ISO 8601 timestamp in UTC.

        format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
  • meta
    object
    required
    • requestId
      string
      required

      Unique ID for this request. Quote it when you contact support.

      format: uuid · pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
    • timestamp
      string
      required

      ISO 8601 timestamp in UTC.

      format: date-time · pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$

401

Unauthorized
JSON
  • success
    boolean
    required
  • error
    object
    required
    • code
      MISSING_API_KEY
      or
      INVALID_API_KEY
      or
      RATE_LIMIT_EXCEEDED
      or
      PREMIUM_REQUIRED
      or
      ENTERPRISE_REQUIRED
      or
      INVALID_AIRPORT
      +5 more
      required

      Machine-readable error code.

    • message
      string
      required

      Human-readable explanation.

429

Too many requests
JSON
  • success
    boolean
    required
  • error
    object
    required
    • code
      MISSING_API_KEY
      or
      INVALID_API_KEY
      or
      RATE_LIMIT_EXCEEDED
      or
      PREMIUM_REQUIRED
      or
      ENTERPRISE_REQUIRED
      or
      INVALID_AIRPORT
      +5 more
      required

      Machine-readable error code.

    • message
      string
      required

      Human-readable explanation.

Type to search…

↑↓ navigate↵ selectEsc close